Arch Add

From FreeCAD Documentation
Revision as of 20:19, 1 April 2013 by Axre0433 (talk | contribs) (Koordinatensystem -> Achsensystem)
Jump to: navigation, search

Arch Add.svg Teil hinzufügen

Menüeintrag
Architektur -> Teil hinzufügen
Arbeitsbereich
Arch
Standardtastenkürzel
W A
In der Version eingeführt
-
Siehe auch
Entfernen


Beschreibung

Das Teil hinzufügen - Werkzeug erlaubt folgende Arten von Operationen:

  • Ein Primitiven-basiertes Objekt wird einer Architekturkomponente hinzugefügt, beispielsweise eine Wand oder ein Bauelement.
    Diese Objekte werden dann Teil der Architekturkomponente, wobei sich aber deren grundlegende Parameter wie Höhe oder Breite
    weiterhin verändern lassen.
  • Füge eine Architekturkomponente, wie z.B. eine Wand oder ein Bauelement, zu einer Gruppierung von Architekturelementen,
    wie z.B. einer Etage, hinzu.
  • Füge ein Achsensystem zu Bauelementen hinzu.
  • Füge Objekte zu Schnittebenen hinzu.

Arch Add example.jpg

In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.

Anwendung

  1. Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
  2. Drücke den Arch Add.png Hinzufügen-Knopf.

Scripting

Das Hinzufügen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

addComponents (objektListe,zielObjekt)
fügt ein gegebenes Objekt oder die Objekte der gegebenen Liste als Komponenten zum gegebenen Zielobjekt hinzu.
So lassen sich beispielsweise Fenster zu einer Wand oder Wände zu einer Etage hinzufügen.

Beispiel:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Verfügbare Übersetzungen dieser Seite: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg Flag-jp.jpg Template:Se